Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update min version to build from source #2024

Merged
merged 1 commit into from Feb 15, 2018

Conversation

Projects
None yet
3 participants
@deefour
Copy link
Contributor

commented Feb 15, 2018

1. What does this change do, exactly?

Updates the minimum version of Go required to build from source. 1.8 fails since #2009 from the introduction of sync.Map

2. Please link to the relevant issues.

#2009

3. Which documentation changes (if any) need to be made because of this PR?

This is the doc change.

4. Checklist

  • I have written tests and verified that they fail without my change
  • I have squashed any insignificant commits
  • This change has comments for package types, values, functions, and non-obvious lines of code
  • I am willing to help maintain this change if there are issues with it later
Update min version to build from source
Re: #2009, 1.9 or newer is needed because of the introduction of `sync.Map`
@CLAassistant

This comment has been minimized.

Copy link

commented Feb 15, 2018

CLA assistant check
All committers have signed the CLA.

@mholt

mholt approved these changes Feb 15, 2018

Copy link
Owner

left a comment

Thanks!

@mholt mholt merged commit 6f4cf7e into mholt:master Feb 15, 2018

3 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
license/cla Contributor License Agreement is signed.
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.